Loading...
Searching...
No Matches
resampler.h File Reference

Resampling object. More...

Go to the source code of this file.

## Typedefs

typedef struct _aubio_resampler_t | aubio_resampler_t
| resampler object

## Functions

aubio_resampler_t * | new_aubio_resampler (smpl_t ratio, uint_t type)
| create resampler object
void | del_aubio_resampler (aubio_resampler_t *s)
| delete resampler object
void | aubio_resampler_do (aubio_resampler_t *s, const fvec_t *input, fvec_t *output)
| resample input in output

## Detailed Description

Resampling object.

This object resamples an input vector into an output vector using libsamplerate. See http://www.mega-nerd.com/SRC/

Definition in file resampler.h.

## Typedef Documentation

## aubio_resampler_t

typedef struct _aubio_resampler_t aubio_resampler_t

resampler object

Definition at line 38 of file resampler.h.

## Function Documentation

## aubio_resampler_do()

void aubio_resampler_do | ( | aubio_resampler_t * | s,
|  | const fvec_t * | input,
|  | fvec_t * | output )

resample input in output

Parameters

  s | resampler object
  input | input buffer of size N
  output | output buffer of size N*ratio

## new_aubio_resampler()

aubio_resampler_t * new_aubio_resampler | ( | smpl_t | ratio,
|  | uint_t | type )

create resampler object

Parameters

  ratio | output_sample_rate / input_sample_rate
  type | libsamplerate resampling type, see http://www.mega-nerd.com/SRC/api_misc.html#Converters